<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csreport.mapper.RStatDataIDMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csreport.pojo.po.RStatDataID">
    <!--@mbg.generated-->
    <!--@Table r_stat_data_i_d-->
    <result column="time" jdbcType="TIMESTAMP" property="time" />
    <result column="line_id" jdbcType="VARCHAR" property="lineId" />
    <result column="phasic_type" jdbcType="VARCHAR" property="phasicType" />
    <result column="value_type" jdbcType="VARCHAR" property="valueType" />
    <result column="quality_flag" jdbcType="INTEGER" property="qualityFlag" />
    <result column="i_neg" jdbcType="DECIMAL" property="iNeg" />
    <result column="i_pos" jdbcType="DECIMAL" property="iPos" />
    <result column="i_thd" jdbcType="DECIMAL" property="iThd" />
    <result column="i_unbalance" jdbcType="DECIMAL" property="iUnbalance" />
    <result column="i_zero" jdbcType="DECIMAL" property="iZero" />
    <result column="rms" jdbcType="DECIMAL" property="rms" />
    <result column="i_1" jdbcType="DECIMAL" property="i1" />
    <result column="i_2" jdbcType="DECIMAL" property="i2" />
    <result column="i_3" jdbcType="DECIMAL" property="i3" />
    <result column="i_4" jdbcType="DECIMAL" property="i4" />
    <result column="i_5" jdbcType="DECIMAL" property="i5" />
    <result column="i_6" jdbcType="DECIMAL" property="i6" />
    <result column="i_7" jdbcType="DECIMAL" property="i7" />
    <result column="i_8" jdbcType="DECIMAL" property="i8" />
    <result column="i_9" jdbcType="DECIMAL" property="i9" />
    <result column="i_10" jdbcType="DECIMAL" property="i10" />
    <result column="i_11" jdbcType="DECIMAL" property="i11" />
    <result column="i_12" jdbcType="DECIMAL" property="i12" />
    <result column="i_13" jdbcType="DECIMAL" property="i13" />
    <result column="i_14" jdbcType="DECIMAL" property="i14" />
    <result column="i_15" jdbcType="DECIMAL" property="i15" />
    <result column="i_16" jdbcType="DECIMAL" property="i16" />
    <result column="i_17" jdbcType="DECIMAL" property="i17" />
    <result column="i_18" jdbcType="DECIMAL" property="i18" />
    <result column="i_19" jdbcType="DECIMAL" property="i19" />
    <result column="i_20" jdbcType="DECIMAL" property="i20" />
    <result column="i_21" jdbcType="DECIMAL" property="i21" />
    <result column="i_22" jdbcType="DECIMAL" property="i22" />
    <result column="i_23" jdbcType="DECIMAL" property="i23" />
    <result column="i_24" jdbcType="DECIMAL" property="i24" />
    <result column="i_25" jdbcType="DECIMAL" property="i25" />
    <result column="i_26" jdbcType="DECIMAL" property="i26" />
    <result column="i_27" jdbcType="DECIMAL" property="i27" />
    <result column="i_28" jdbcType="DECIMAL" property="i28" />
    <result column="i_29" jdbcType="DECIMAL" property="i29" />
    <result column="i_30" jdbcType="DECIMAL" property="i30" />
    <result column="i_31" jdbcType="DECIMAL" property="i31" />
    <result column="i_32" jdbcType="DECIMAL" property="i32" />
    <result column="i_33" jdbcType="DECIMAL" property="i33" />
    <result column="i_34" jdbcType="DECIMAL" property="i34" />
    <result column="i_35" jdbcType="DECIMAL" property="i35" />
    <result column="i_36" jdbcType="DECIMAL" property="i36" />
    <result column="i_37" jdbcType="DECIMAL" property="i37" />
    <result column="i_38" jdbcType="DECIMAL" property="i38" />
    <result column="i_39" jdbcType="DECIMAL" property="i39" />
    <result column="i_40" jdbcType="DECIMAL" property="i40" />
    <result column="i_41" jdbcType="DECIMAL" property="i41" />
    <result column="i_42" jdbcType="DECIMAL" property="i42" />
    <result column="i_43" jdbcType="DECIMAL" property="i43" />
    <result column="i_44" jdbcType="DECIMAL" property="i44" />
    <result column="i_45" jdbcType="DECIMAL" property="i45" />
    <result column="i_46" jdbcType="DECIMAL" property="i46" />
    <result column="i_47" jdbcType="DECIMAL" property="i47" />
    <result column="i_48" jdbcType="DECIMAL" property="i48" />
    <result column="i_49" jdbcType="DECIMAL" property="i49" />
    <result column="i_50" jdbcType="DECIMAL" property="i50" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    `time`, line_id, phasic_type, value_type, quality_flag, i_neg, i_pos, i_thd, i_unbalance, 
    i_zero, rms, i_1, i_2, i_3, i_4, i_5, i_6, i_7, i_8, i_9, i_10, i_11, i_12, i_13, 
    i_14, i_15, i_16, i_17, i_18, i_19, i_20, i_21, i_22, i_23, i_24, i_25, i_26, i_27, 
    i_28, i_29, i_30, i_31, i_32, i_33, i_34, i_35, i_36, i_37, i_38, i_39, i_40, i_41, 
    i_42, i_43, i_44, i_45, i_46, i_47, i_48, i_49, i_50
  </sql>
</mapper>